---
title: TaskAttributionTiming.containerName
slug: Web/API/TaskAttributionTiming/containerName
tags:
  - API
  - Long Tasks API
  - Performance
  - Property
  - Reference
  - TaskAttributionTiming
---
<p>{{SeeCompatTable}}{{APIRef("Long Tasks")}}</p>

<p>The <strong><code>containerName</code></strong> readonly property of the {{domxref("TaskAttributionTiming")}} interface returns the container's <code>name</code> attribute. A container is the iframe, embed or object etc. that is being implicated, on the whole, for a long task.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>containerName</em> = TaskAttributionTiming.containerName;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the container's <code>name</code> attribute.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Long Tasks','#dom-taskattributiontiming-containername','containerName')}}</td>
   <td>{{Spec2('Long Tasks')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.TaskAttributionTiming.containerName")}}</p>
</div>
